# CachingIterator::offsetSet

(PHP 5 >= 5.2.0, PHP 7)

CachingIterator::offsetSet — The offsetSet purpose

### Description

public CachingIterator::offsetSet ( mixed `$index` , mixed `$newval` ) : void
Warning

This function is currently not documented; only its argument list is available.

### Parameters

`index`

  The index of the element to be set.

`newval`

  The new value for the `index`.

### Return Values

No value is returned.